現在、php5.3.8を使っています。

(Win7,Apache2.2)
pearをインストールしようとして
C:\php5>go-pear.bat
としたところ、エラーが出ます。
(phpのインストールディレクトリはC:\php5です)

http://rankingv.blog72.fc2.com/blog-entry-82.html
で、書かれていることはやってみました。
どなたか、ご経験のある方アドバイスいただけると幸いです。

エラーメッセージの内容は、以下を参照してください。
http://study.idek.jp/archives/15

回答の条件
  • 1人5回まで
  • 13歳以上
  • 登録:2012/02/26 16:11:22
  • 終了:2012/02/27 10:29:01

ベストアンサー

id:holoholobird No.2

holoholobird回答回数574ベストアンサー獲得回数1042012/02/26 17:37:26

ポイント50pt

数ヶ月前にDB.phpを使おうとして同じ問題にあたりました。
go-pear.pharは5.2では壊れていますが5.3以降は修正されています。
ですが念のため、
1:go-pear.pharをダウンロードして、c:\php5\PEAR に保存
http://pear.php.net/go-pear
2:c:\php5\go-pear.batを実行する
としました。

この時点でgo-pearは正常ですが、php.iniの設定のところでエラーが出てきたので、
その時参考にしたのが
http://d.hatena.ne.jp/KEINOS/20110702
http://network.station.ez-net.jp/server/microsoft/windows/2008/pear.php535.asp
のページです。この辺りを重点的に調べたらクリアできました。

その他の回答(1件)

id:windofjuly No.1

うぃんど回答回数2625ベストアンサー獲得回数11492012/02/26 17:11:45

ポイント50pt

php5.3.10で実験してみましたが特に問題は発生しませんでした

ただし、実行したのは下記の方法です

C:\PHP\PEAR>php go-pear.phar
id:holoholobird No.2

holoholobird回答回数574ベストアンサー獲得回数1042012/02/26 17:37:26ここでベストアンサー

ポイント50pt

数ヶ月前にDB.phpを使おうとして同じ問題にあたりました。
go-pear.pharは5.2では壊れていますが5.3以降は修正されています。
ですが念のため、
1:go-pear.pharをダウンロードして、c:\php5\PEAR に保存
http://pear.php.net/go-pear
2:c:\php5\go-pear.batを実行する
としました。

この時点でgo-pearは正常ですが、php.iniの設定のところでエラーが出てきたので、
その時参考にしたのが
http://d.hatena.ne.jp/KEINOS/20110702
http://network.station.ez-net.jp/server/microsoft/windows/2008/pear.php535.asp
のページです。この辺りを重点的に調べたらクリアできました。

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません